Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.mtg
Class MTGError

    java.lang.Object
      de.grogra.mtg.MTGError

    public class MTGError

extends java.lang.Object

Since:
  2011-11-18
Author:
  Ong Yongzhi

Nested Class Summary
`static class` | `MTGError.MTGExportException`
`static class` | `MTGError.MTGGraphBuildException`
`static class` | `MTGError.MTGPlantFrameException`

Field Summary
`protected static int` | `MTG_MODULE_COMPILE_ERROR`
`protected static int` | `MTG_MODULE_COMPILE_ERROR_COMPILATION`
`protected static int` | `MTG_MODULE_COMPILE_ERROR_INVALID_BUFFEREDREADER`
`protected static int` | `MTG_MODULE_COMPILE_ERROR_READ_FILE`
`protected static int` | `MTG_MODULE_COMPILE_SUCCESSFUL`
`protected static int` | `MTG_MODULE_WRITE_ERROR`
`protected static int` | `MTG_MODULE_WRITE_ERROR_INVALID_BUFFEREDWRITER`
`protected static int` | `MTG_MODULE_WRITE_ERROR_NO_CLASSES`
`protected static int` | `MTG_MODULE_WRITE_ERROR_NO_ROOT_NODE`
`protected static int` | `MTG_MODULE_WRITE_ERROR_UNRECOGNIZED_FEATURE_TYPE`
`protected static int` | `MTG_MODULE_WRITE_SUCCESSFUL`
`protected static int` | `MTG_TRANSLATOR_ERROR_HEADER`
`protected static int` | `MTG_TRANSLATOR_ERROR_MTG_BUFFER_CHECK`
`protected static int` | `MTG_TRANSLATOR_ERROR_MTG_BUFFER_CLOSE`
`protected static int` | `MTG_TRANSLATOR_ERROR_MTG_BUILDER`
`protected static int` | `MTG_TRANSLATOR_ERROR_MTG_FILE_INCOMPLETE`
`protected static int` | `MTG_TRANSLATOR_ERROR_MTG_FILE_SYNTAX_ERROR`
`protected static int` | `MTG_TRANSLATOR_TOPO_RELATION_REMOVE_ERROR`
`protected static int` | `MTG_TRANSLATOR_TRANSLATE_HEADER_SUCCESSFUL`
`protected static int` | `MTG_TRANSLATOR_TRANSLATE_SUCCESSFUL`
`protected static int` | `MTG_TRANSLATOR_UNEXPECTED_ERROR`

Constructor Summary
`MTGError()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MTG_MODULE_COMPILE_ERROR

    protected static final int MTG_MODULE_COMPILE_ERROR

See Also:
  Constant Field Values

### MTG_MODULE_COMPILE_ERROR_COMPILATION

    protected static final int MTG_MODULE_COMPILE_ERROR_COMPILATION

See Also:
  Constant Field Values

### MTG_MODULE_COMPILE_ERROR_INVALID_BUFFEREDREADER

    protected static final int MTG_MODULE_COMPILE_ERROR_INVALID_BUFFEREDREADER

See Also:
  Constant Field Values

### MTG_MODULE_COMPILE_ERROR_READ_FILE

    protected static final int MTG_MODULE_COMPILE_ERROR_READ_FILE

See Also:
  Constant Field Values

### MTG_MODULE_COMPILE_SUCCESSFUL

    protected static final int MTG_MODULE_COMPILE_SUCCESSFUL

See Also:
  Constant Field Values

### MTG_MODULE_WRITE_ERROR

    protected static final int MTG_MODULE_WRITE_ERROR

See Also:
  Constant Field Values

### MTG_MODULE_WRITE_ERROR_INVALID_BUFFEREDWRITER

    protected static final int MTG_MODULE_WRITE_ERROR_INVALID_BUFFEREDWRITER

See Also:
  Constant Field Values

### MTG_MODULE_WRITE_ERROR_NO_CLASSES

    protected static final int MTG_MODULE_WRITE_ERROR_NO_CLASSES

See Also:
  Constant Field Values

### MTG_MODULE_WRITE_ERROR_NO_ROOT_NODE

    protected static final int MTG_MODULE_WRITE_ERROR_NO_ROOT_NODE

See Also:
  Constant Field Values

### MTG_MODULE_WRITE_ERROR_UNRECOGNIZED_FEATURE_TYPE

    protected static final int MTG_MODULE_WRITE_ERROR_UNRECOGNIZED_FEATURE_TYPE

See Also:
  Constant Field Values

### MTG_MODULE_WRITE_SUCCESSFUL

    protected static final int MTG_MODULE_WRITE_SUCCESSFUL

See Also:
  Constant Field Values

### MTG_TRANSLATOR_ERROR_HEADER

    protected static final int MTG_TRANSLATOR_ERROR_HEADER

See Also:
  Constant Field Values

### MTG_TRANSLATOR_ERROR_MTG_BUFFER_CHECK

    protected static final int MTG_TRANSLATOR_ERROR_MTG_BUFFER_CHECK

See Also:
  Constant Field Values

### MTG_TRANSLATOR_ERROR_MTG_BUFFER_CLOSE

    protected static final int MTG_TRANSLATOR_ERROR_MTG_BUFFER_CLOSE

See Also:
  Constant Field Values

### MTG_TRANSLATOR_ERROR_MTG_BUILDER

    protected static final int MTG_TRANSLATOR_ERROR_MTG_BUILDER

See Also:
  Constant Field Values

### MTG_TRANSLATOR_ERROR_MTG_FILE_INCOMPLETE

    protected static final int MTG_TRANSLATOR_ERROR_MTG_FILE_INCOMPLETE

See Also:
  Constant Field Values

### MTG_TRANSLATOR_ERROR_MTG_FILE_SYNTAX_ERROR

    protected static final int MTG_TRANSLATOR_ERROR_MTG_FILE_SYNTAX_ERROR

See Also:
  Constant Field Values

### MTG_TRANSLATOR_TOPO_RELATION_REMOVE_ERROR

    protected static final int MTG_TRANSLATOR_TOPO_RELATION_REMOVE_ERROR

See Also:
  Constant Field Values

### MTG_TRANSLATOR_TRANSLATE_HEADER_SUCCESSFUL

    protected static final int MTG_TRANSLATOR_TRANSLATE_HEADER_SUCCESSFUL

See Also:
  Constant Field Values

### MTG_TRANSLATOR_TRANSLATE_SUCCESSFUL

    protected static final int MTG_TRANSLATOR_TRANSLATE_SUCCESSFUL

See Also:
  Constant Field Values

### MTG_TRANSLATOR_UNEXPECTED_ERROR

    protected static final int MTG_TRANSLATOR_UNEXPECTED_ERROR

See Also:
  Constant Field Values

Constructor Detail

### MTGError

    public MTGError()

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD